[SOLVED] Upgrade to 1.28.5

Discuss technical issues with other users.
Post Reply
kacior
Posts: 3
Joined: Fri Feb 10, 2017 3:22 pm

[SOLVED] Upgrade to 1.28.5

Post by kacior » Fri Aug 18, 2017 11:50 am

Hi there
I have an issues with upgrade to 1.28.5 like in subject. It should work just by connecting to server but i got error.
Firstly it appears like it starts download, then it disappear and i got notification that update was successful (nothing downloaded, i'm pretty sure). Then i got error "There was an error applying the upgrade".
I tried update using BNUpdate.exe with failure too. I get this error:

Code: Select all

ERROR: unable to open archive 'C:\users\kacior\Local Settings\Application Data\Blizzard\Warcraft III\BattleNet\Downloads\www_warcraft3_eu_enUS.mpq'.
I'm using linux in previous it worked really well. I wanted to download again war3 client but this on your site has 0 seeds.
Is there any chance to download this patch somewhere? I didn't find it. Or maybe someone could upload his own war3 file and share it.
EDIT
I updated this client. Now i have 1.28.5.7680, but when i try to connect to server (in game) i got this error: "Unable to validate game version. Please reconnect to Battle.net, or apply the current game patch manually." i have no ideas now how to fix it. Patching again doesn't solve the problem.
Last edited by kacior on Mon Sep 04, 2017 7:04 pm, edited 1 time in total.

User avatar
Sunus
Map Developer
Posts: 492
Joined: Mon Apr 16, 2007 2:20 pm

Re: Upgrade to 1.28.5

Post by Sunus » Sun Aug 20, 2017 10:25 am

hi, try to connect to server and let me know the time and your IP

kacior
Posts: 3
Joined: Fri Feb 10, 2017 3:22 pm

Re: Upgrade to 1.28.5

Post by kacior » Mon Aug 21, 2017 12:32 pm

Sunus wrote:hi, try to connect to server and let me know the time and your IP
I have sent it by pm.
I tried connect to eurobattle.net with the same effect.
I have an idea how i could fix it. I had to use warcraft III launcher downloaded from official w3 website (by blizzard). I can't see any messages and logs from this launcher but i think it could be problem. Not with only launcher but with launcher + linux. Wine done its work well, but something is missing. I'll install on my old laptop windows and download all patches there. Then I'll move whole file to my linux.
I don't know if here are some linux users on this forum but maybe someone will need it.

EDIT

I have moved this war3 file to windows os and there it is working. I tried some combination but nothing works. I checked all registry and there it seems be everything alright too. I don't know why server sees wrong client version. I didn't find any solutions on internet too. I would be thankful for help with this issue, because i have no more ideas how to workaround this.

kacior
Posts: 3
Joined: Fri Feb 10, 2017 3:22 pm

[SOLVED] Upgrade to 1.28.5

Post by kacior » Mon Sep 04, 2017 7:03 pm

Problem is solved. Problem was with w3l.exe. Cen from eurobattle.net fixed it and now it works well.

Post Reply